package org.greenstone.gatherer.gui;

import javax.swing.*;
import javax.swing.text.*;


public class NumberField 
	 extends JTextField {
 
	 public NumberField(String text) {
		  super(text);
	 }
 
	 protected Document createDefaultModel() {
		  return new NumberDocument();
	 }
 
	 static class NumberDocument 
		  extends PlainDocument {
		  
		  public void insertString(int offs, String str, AttributeSet a) 
				throws BadLocationException {
				
				if (str == null) {
					 return;
				}
				char[] raw = str.toCharArray();
				StringBuffer result = new StringBuffer("");
				for (int i = 0; i < raw.length; i++) {
					 if(Character.isDigit(raw[i])) {
						  result.append(raw[i]);
					 }
				}
				super.insertString(offs, result.toString(), a);
		  }
	 }
}
